export declare class StringEx {
    static readonly EMPTY: string;
    static readonly DASH: string;
    static readonly UNDERSCORE: string;
    static readonly PERIOD: string;
    private constructor();
    static isUppercase(value: string): boolean;
    static isEmpty(value: string): boolean;
    static isUnderscored(value: string): boolean;
    static isDashed(value: string): boolean;
    static nounCase(value: string): string;
    static verbCase(value: string): string;
    static kebabToCamelCase(value: string): string;
    static snakeToCamelCase(value: string): string;
    static snakeToDotCase(value: string): string;
    private static snakeKebabToXJoinedCase;
    static camelCaseToKebab(key: string): string;
}
